## nano banana-0.3.0

=== Makefile ===
# Nano Banana Package - UV 极速工作流 🍌⚡
# 基于 Gemini 2.5 Flash Image 的图像生成和分析包

.PHONY: sync test build publish clean dev format lint check release

# 🚀 初始化项目 (仅需运行一次)
init:
	@echo "🎉 使用 uv 初始化 nano-banana 项目..."
	uv sync
	@echo "✅ 项目初始化完成！"

# 📦 同步依赖 (超快速度)
sync:
	@echo "⚡ 同步依赖..."
	uv sync

# 🧪 运行测试 (UV 环境)
test:
	@echo "🧪 运行 nano-banana 测试..."
	uv run python tests/simple_test.py
	uv run python tests/quick_test.py
	uv run python tests/nano_banana_test.py
	@echo "🧪 运行 pytest..."
	uv run pytest tests/ -v

# 🚀 开发模式测试
dev:
	@echo "🚀 开发模式测试..."
	uv run python -c "import nano_banana as nb; print('✅ 导入成功')"
	uv run python -c "from nano_banana import NanoBanana; client = NanoBanana(); print('✅ 客户端创建成功')"
	@echo "💡 提示：请确保已设置 SIMEN_AI_API_KEY 或 OPENAI_API_KEY 环境变量"

# 🔨 构建包 (UV 原生构建)
build:
	@echo "🔨 使用 uv 构建 nano-banana 包..."
	uv build

# 🧪 发布到 TestPyPI (UV 原生)
test-publish:
	@echo "🧪 发布到 TestPyPI..."
	@echo "💡 需要设置环境变量: export UV_PUBLISH_TOKEN=your-testpypi-token"
	uv publish --token $$UV_PUBLISH_TOKEN --repository testpypi

# 🚀 发布到 PyPI (UV 原生)
publish:
	@echo "🚀 发布到 PyPI..."
	@echo "💡 需要设置环境变量: export UV_PUBLISH_TOKEN=your-pypi-token"
	uv publish --token $$UV_PUBLISH_TOKEN

# 🏢 发布到私有仓库
publish-private:
	@echo "🏢 发布到私有仓库..."
	uv publish --repository-url http://your-private-pypi.com/simple/

# 🧹 清理构建文件
clean:
	@echo "🧹 清理构建文件..."
	rm -rf build/
	rm -rf dist/
	rm -rf *.egg-info/
	rm -rf .uv_cache/
	find . -type d -name __pycache__ -delete
	find . -type f -name "*.pyc" -delete

# 📊 代码质量检查
lint:
	@echo "📊 代码质量检查..."
	uv run ruff check src/
	uv run mypy src/nano_banana/

# 🎨 代码格式化
format:
	@echo "🎨 代码格式化..."
	uv run ruff format src/

# ✅ 完整检查
check: lint test
	@echo "✅ 所有检查通过！"

# 🎉 完整发布流程 (极速版)
release: clean check build test-publish
	@echo "🎉 版本发布完成! 检查 TestPyPI 后运行 'make publish' 发布到正式 PyPI"

# ⚡ 添加依赖 (示例)
add-dep:
	@echo "示例: uv add openai"
	@echo "示例: uv add --dev pytest"
	@echo "示例: uv add --dev ruff"

# 🔄 更新所有依赖
update:
	@echo "🔄 更新所有依赖..."
	uv sync --upgrade

# 📋 显示依赖树
tree:
	@echo "📋 依赖树..."
	uv tree

# 🎯 快速开始 (新开发者)
quickstart: init test dev
	@echo "🎯 快速开始完成！可以开始开发了"

# 📄 运行示例脚本
examples:
	@echo "🎯 运行 nano-banana 示例..."
	@echo "1️⃣ 文本生成图片测试:"
	uv run tests/text_to_image_test.py
	@echo "\n2️⃣ 图片到图片测试:"
	uv run tests/image_to_image_test.py
	@echo "\n3️⃣ 图片分析测试:"
	uv run tests/simple_test.py

# 🔧 设置发布认证
setup-auth:
	@echo "🔧 设置发布认证..."
	@echo "1. 获取 PyPI API Token: https://pypi.org/manage/account/token/"
	@echo "2. 获取 TestPyPI API Token: https://test.pypi.org/manage/account/token/"
	@echo "3. 设置环境变量:"
	@echo "   export UV_PUBLISH_TOKEN=your-pypi-token"
	@echo "4. 然后运行: make test-publish 或 make publish"

# 🍌 nano-banana 专用命令

# 🎨 测试文本生成图片
test-text2img:
	@echo "🎨 测试文本生成图片功能..."
	uv run python -c "import nano_banana as nb; result = nb.text_to_image('一只可爱的橙色小猫'); print('生成结果:', result[:100] + '...')"

# 🔍 测试图片分析
test-analyze:
	@echo "🔍 测试图片分析功能..."
	uv run python tests/simple_test.py

# 🔄 测试图片到图片
test-img2img:
	@echo "🔄 测试图片到图片功能..."
	uv run python tests/image_to_image_test.py

# 🌐 检查环境变量
check-env:
	@echo "🌐 检查环境变量配置..."
	@if [ -z "$$SIMEN_AI_API_KEY" ] && [ -z "$$OPENAI_API_KEY" ]; then \
		echo "❌ 未设置 API 密钥！"; \
		echo "请设置以下环境变量之一:"; \
		echo "  export SIMEN_AI_API_KEY=your-simen-key"; \
		echo "  export OPENAI_API_KEY=your-openai-key"; \
	else \
		echo "✅ API 密钥已配置"; \
	fi
	@if [ -n "$$SIMEN_BASEURL" ]; then \
		echo "✅ SIMEN_BASEURL: $$SIMEN_BASEURL"; \
	else \
		echo "💡 可选：设置 SIMEN_BASEURL=https://api.simen.ai/v1"; \
	fi

# 🎉 完整功能测试
test-all: check-env test-text2img test-analyze test-img2img
	@echo "🎉 所有功能测试完成！"

# 📚 显示帮助信息
help:
	@echo "🍌 Nano Banana Makefile 命令帮助"
	@echo ""
	@echo "📦 项目管理:"
	@echo "  init          - 初始化项目"
	@echo "  sync          - 同步依赖"
	@echo "  clean         - 清理构建文件"
	@echo ""
	@echo "🧪 开发测试:"
	@echo "  dev           - 开发模式测试"
	@echo "  test          - 运行所有测试"
	@echo "  check-env     - 检查环境变量"
	@echo "  test-all      - 完整功能测试"
	@echo ""
	@echo "🍌 nano-banana 专用:"
	@echo "  test-text2img - 测试文本生成图片"
	@echo "  test-analyze  - 测试图片分析"
	@echo "  test-img2img  - 测试图片到图片"
	@echo ""
	@echo "🔨 构建发布:"
	@echo "  build         - 构建包"
	@echo "  test-publish  - 发布到 TestPyPI"
	@echo "  publish       - 发布到 PyPI"
	@echo "  release       - 完整发布流程"
	@echo ""
	@echo "💡 使用示例："
	@echo "  make quickstart  # 快速开始"
	@echo "  make test-all    # 测试所有功能"
	@echo "  make release     # 发布新版本"

## nano 2.0.2-1osso3

=== debian/changelog ===
nano (2.0.2-1osso3) unstable; urgency=low

  * modified changelog

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 14 Jun 2007 12:56:00 +0300

nano (2.0.2-1osso2) unstable; urgency=low

  * added debhelper to dependencies

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 14 Jun 2007 12:17:43 +0300

nano (2.0.2-1osso1) unstable; urgency=low

  * Change debhelper compat to 4
  * Set maemo integration as a maintainer

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 29 May 2007 14:02:43 +0300

nano (2.0.2-1) unstable; urgency=medium

  * The "Compromís pel País Valencià" release.
  * New upstream release.
    - fixes a segfault and several memleaks.

 -- Jordi Mallach <jordi@debian.org>  Fri, 22 Dec 2006 17:11:14 +0100

nano (2.0.1-1) unstable; urgency=low

  * The "Xúquer Viu" release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 21 Nov 2006 12:20:53 +0100

nano (2.0.0-1) unstable; urgency=low

  * The "La Regata de Rita" release.
  * New upstream stable release!
    See the UPGRADE document for a summary of new features since 1.2.x.
  * debian/copyright: update, add David to Copyright holders and add the
    standard GPL header.
  * debian/nanorc: sync with nanorc.sample.
  * debian/watch: added.

 -- Jordi Mallach <jordi@debian.org>  Tue,  7 Nov 2006 18:03:39 +0100

nano (1.9.99pre3-1) unstable; urgency=low

  * The "Catrals per tot arreu" release.
  * New upstream prerelease.
  * debian/nanorc: sync with nanorc.sample.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Oct 2006 01:45:48 +0200

nano (1.9.99pre2-1) unstable; urgency=low

  * The "Sense pacte, perdem el País" release.
  * New upstream prerelease.

 -- Jordi Mallach <jordi@debian.org>  Mon,  2 Oct 2006 19:43:12 +0200

nano (1.9.99pre1-1) unstable; urgency=low

  * The "Fundación Agua y Progreso" release.
  * New upstream prerelease.
  * debian/nanorc: sync with nanorc.sample.
  * debian/examples: removed, since we already have a nanorc in the
    package based on nanorc.sample.

 -- Jordi Mallach <jordi@debian.org>  Tue, 29 Aug 2006 22:40:05 +0200

nano (1.3.12-2) unstable; urgency=low

  * The "Jo no t'espere" release.
  * debian/nanorc.sample: sync from one of the build dirs, so we get the
    correct $PKGDATADIR on the syntax section.

 -- Jordi Mallach <jordi@debian.org>  Wed,  5 Jul 2006 13:39:32 +0200

nano (1.3.12-1) unstable; urgency=low

  * The "Quiebra Mítica" release.
  * New upstream development release.
  * debian/nanorc: sync with nanorc.sample, which now uses includes for
    highlight patterns.
  * debian/patches/*.dpatch: removed, included in new version.

 -- Jordi Mallach <jordi@debian.org>  Tue,  4 Jul 2006 19:56:57 +0200

nano (1.3.11-3) unstable; urgency=low

  * The "Marina d'Or" release.
  * debian/patches/01_crontab_backup.dpatch: add improvements to this by
    David Lawrence Ramsey in CVS when the file being prepended has an
    unreadable name. Fixes the issue for nano-tiny as well.
  * debian/patches/02_regex_fix.dpatch: patch from CVS by David Lawrence
    Ramsey to fix zero-length single-line regexes, which were making
    nano segfault.
  * debian/patches/03_regex_parsing.dpatch: patch from CVS by David Lawrence
    Ramsey to allow overriding regexes in the global nanorc with regexes
    in the personal nanorc without error messages, as it was possible up
    to nano 1.3.9.
  * debian/patches/04_line_wrap.dpatch: patch from CVS by David Lawrence
    Ramsey, to fix nano wrapping some lines containing tabs too early.
  * debian/patches/00list: updated.
  * debian/control: bump Standards-Version to 3.7.2.0, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 May 2006 23:23:55 +0200

nano (1.3.11-2) unstable; urgency=low

  * The "Marbella, ciudad hermanada con Benidorm" release.
  * debian/control: generate udeb dependencies automatically, using a newer
    debhelper and dpkg-dev. Thanks, Frans Pop (closes: #360265). The correct
    dpkg-dev is pulled by debhelper, so backporters can just ignore the
    newer debhelper build-dep.
  * debian/nanorc: sync with upstream's example.
  * debian/patches/01_crontab_backup.dpatch: new patch from DLR to fix the
    saving of crontabs with the backup mode active (Ubuntu #29732).

 -- Jordi Mallach <jordi@debian.org>  Thu,  6 Apr 2006 00:00:01 +0200

nano (1.3.11-1) unstable; urgency=low

  * The "Camps de Golf" release.
  * New upstream release.
  * debian/patches/01_line_allocation_crash.dpatch,
    debian/patches/02_display_cursor.dpatch: removed, included upstream.
  * debian/patches/00list: updated.

 -- Jordi Mallach <jordi@debian.org>  Thu, 30 Mar 2006 09:47:45 +0200

nano (1.3.10-2) unstable; urgency=low

  * The "Pla i Curtet" release.
  * debian/patches/01_line_allocation_crash.dpatch: fix long standing bug that
    would make nano crash on some setups (closes: #325065).
  * debian/patches/02_display_cursor.dpatch: fix a minor display corruption
    bug.

 -- Jordi Mallach <jordi@debian.org>  Sat,  4 Feb 2006 17:20:48 +0100

nano (1.3.10-1) unstable; urgency=low

  * The "Comprad, comprad, malditos!" release.
  * New upstream release.
    - includes Thijs Kinkhorst's rnano(1) manpage (closes: #339530).

 -- Jordi Mallach <jordi@debian.org>  Sun, 25 Dec 2005 03:43:30 +0100

nano (1.3.9-1) unstable; urgency=low

  * The "I fear I'll freeze in Montréal" release.
  * New upstream development release.
    - includes Yavor Doganov's new Bulgarian translation (closes: #324385).
  * Remove obsolete patches: 01_clear_replace and 02_64bit_line_num.
  * debian/control:
    - add "XC-Package-Type: udeb" to nano-udeb, and build nano-udeb
      in a more debhelper-standard way.
    - bump build-deps to debhelper (>= 4.2.0) for udeb support.
    - bump Standards-Version to 3.6.2.0, gratis.
  * debian/rules:
    - get rid of ugly hacks for udeb generation, debhelper will take care.
    - major cleanups.

 -- Jordi Mallach <jordi@debian.org>  Wed, 26 Oct 2005 13:39:02 +0200

nano (1.3.8-2) unstable; urgency=low



=== debian/control ===
Source: nano
Section: editors
Priority: optional
Maintainer: maemo integration <integration@maemo.org>
Uploaders: Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper, dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, dpatch
Standards-Version: 3.7.2.0

Package: nano
Architecture: any
Priority: important
Depends: ${shlibs:Depends}
Provides: editor
Suggests: spell
Conflicts: nano-tiny (<= 1.0.0-1), pico
Replaces: pico
Description: free Pico clone with some new features
 GNU nano is a free replacement for Pico, the default Pine editor. Pine is
 copyrighted under a restrictive licence, that makes it unsuitable for
 Debian's main section. GNU nano is an effort to provide a Pico-like
 editor, but also includes some features that were missing in the original,
 such as 'search and replace', 'goto line' or internationalization support.

Package: nano-tiny
Architecture: any
Depends: ${shlibs:Depends}
Provides: editor
Description: free Pico clone with some new features - tiny build
 GNU nano is a free replacement for Pico, the default Pine editor. Pine is
 copyrighted under a restrictive licence, that makes it unsuitable for
 Debian's main section. GNU nano is an effort to provide a Pico-like
 editor, but also includes some features that were missing in the original,
 such as 'search and replace', 'goto line' or internationalization support.
 .
 This package contains a minimal build of GNU nano, aimed for use in
 boot-floppies. Thus, many features are disabled in this version.

Package: nano-udeb
Architecture: any
Section: debian-installer
Priority: standard
XC-Package-Type: udeb
Depends: ${shlibs:Depends}
Provides: editor
Description: free Pico clone with some new features - tiny build
 GNU nano is a free replacement for Pico, the default Pine editor. Pine is
 copyrighted under a restrictive licence, that makes it unsuitable for
 Debian's main section. GNU nano is an effort to provide a Pico-like
 editor, but also includes some features that were missing in the original,
 such as 'search and replace', 'goto line' or internationalization support.
 .
 This package contains a minimal build of GNU nano, aimed for use in
 debian-installer. Thus, many features are disabled in this version.

## nano 2.0.2-1osso5

=== debian/changelog ===
nano (2.0.2-1osso5) unstable; urgency=low

  * mouse support is now on by default
  * Fixes: MB#1631

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 24 Oct 2007 10:51:46 +0300

nano (2.0.2-1osso4) unstable; urgency=low

  * Add ncurses-base to nano dependencies
  * Bumb up the version number to force upgrade on unofficial packages

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue,  3 Jul 2007 10:15:46 +0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: maemo integration <integration@maemo.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper, dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, dpatch
+Build-Depends: dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, dpatch
 Standards-Version: 3.7.2.0
 
 Package: nano
 Architecture: any
 Priority: important
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ncurses-base
 Provides: editor
 Suggests: spell
 Conflicts: nano-tiny (<= 1.0.0-1), pico

## nano 2.0.2-1osso6

=== debian/changelog ===
nano (2.0.2-1osso6) unstable; urgency=low

  * removed udeb package from control file

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 03 Apr 2008 14:07:46 +0300

=== debian/control ===
--- 
+++ 
@@ -35,19 +35,3 @@
  This package contains a minimal build of GNU nano, aimed for use in
  boot-floppies. Thus, many features are disabled in this version.
 
-Package: nano-udeb
-Architecture: any
-Section: debian-installer
-Priority: standard
-XC-Package-Type: udeb
-Depends: ${shlibs:Depends}
-Provides: editor
-Description: free Pico clone with some new features - tiny build
- GNU nano is a free replacement for Pico, the default Pine editor. Pine is
- copyrighted under a restrictive licence, that makes it unsuitable for
- Debian's main section. GNU nano is an effort to provide a Pico-like
- editor, but also includes some features that were missing in the original,
- such as 'search and replace', 'goto line' or internationalization support.
- .
- This package contains a minimal build of GNU nano, aimed for use in
- debian-installer. Thus, many features are disabled in this version.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS  = -Wall -g
CFTINY  = -Wall -g -Os -fomit-frame-pointer
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

nanobuild=$(CURDIR)/build-nano
tinybuild=$(CURDIR)/build-tiny
udebbuild=$(CURDIR)/build-udeb

ARCH=$(shell dpkg --print-architecture)

COMMON_CONFIG := --cache-file=$(CURDIR)/config.cache \
			--prefix=/usr --mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info --srcdir='..' \
			--sysconfdir=/etc \
			--host $(DEB_BUILD_GNU_TYPE) \
			--build $(DEB_HOST_GNU_TYPE)

build: patch-stamp build-stamp
build-stamp: build-arch
build-arch: build-nano-stamp build-tiny-stamp build-udeb-stamp

build-nano-stamp: build-nano
build-nano:
	dh_testdir

	[ -d $(nanobuild) ] || mkdir $(nanobuild)
	cd $(nanobuild) && ../configure $(COMMON_CONFIG) --enable-all \
		--disable-wrapping-as-root && \
		$(MAKE) CFLAGS="$(CFLAGS)"
	touch build-nano-stamp

build-tiny-stamp: build-tiny
build-tiny:
	dh_testdir

	[ -d $(tinybuild) ] || mkdir $(tinybuild)
	cd $(tinybuild) && ../configure $(COMMON_CONFIG) \
		--enable-tiny --disable-speller --disable-justify \
		--disable-tabcomp --disable-nls --disable-wrapping \
		--with-slang &&  \
		$(MAKE) CFLAGS="$(CFTINY)"
	touch build-tiny-stamp

build-udeb-stamp: build-udeb
build-udeb:
	dh_testdir

	[ -d $(udebbuild) ] || mkdir $(udebbuild)
	cd $(udebbuild) && ../configure $(COMMON_CONFIG) \
		--enable-tiny --disable-speller --disable-justify \
		--disable-tabcomp --disable-nls --disable-wrapping \
		--with-slang &&  \
		$(MAKE) CFLAGS="$(CFTINY)"
	touch build-udeb-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf *-stamp

	-rm -rf $(nanobuild) $(tinybuild) $(udebbuild)
	-rm -f config.h
	-rm -f intl/libintl.h config.cache
#	-rm -f po/*.gmo

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(nanobuild) && \
		$(MAKE) install prefix=$(CURDIR)/debian/nano/usr \
		  bindir=$(CURDIR)/debian/nano/bin
	cp debian/nano-menu.xpm $(CURDIR)/debian/nano/usr/share/nano/
	cp debian/nanorc $(CURDIR)/debian/nano/etc/nanorc
	cp po/ChangeLog $(CURDIR)/debian/nano/usr/share/doc/nano/changelog.l10n
#	cp debian/nano.desktop $(CURDIR)/debian/nano/usr/share/gnome/apps/Applications
#
	cd $(tinybuild) && \
		$(MAKE) install prefix=$(CURDIR)/debian/nano-tiny/usr \
		  bindir=$(CURDIR)/debian/nano-tiny/bin
	mv debian/nano-tiny/bin/nano debian/nano-tiny/bin/nano-tiny
	rm -rf $(CURDIR)/debian/nano-tiny/usr/share/man
	rm -f $(CURDIR)/debian/nano-tiny/bin/rnano

	cd $(udebbuild) && \
		$(MAKE) install prefix=$(CURDIR)/debian/nano-udeb/usr \
		bindir=$(CURDIR)/debian/nano-udeb/bin
	rm -rf $(CURDIR)/debian/nano-udeb/usr/share
	rm -f $(CURDIR)/debian/nano-udeb/bin/rnano

binary-indep:

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installinfo -pnano doc/texinfo/nano.info
	rm -f debian/nano/usr/share/info/dir \
		debian/nano/usr/share/info/dir.old
	# We don't want info docs in -tiny
	-rm -r debian/nano-tiny/usr/share/info
	dh_installchangelogs ChangeLog -a
	dh_link -a
ifneq (,$(findstring hurd,$(DEB_HOST_ARCH_OS)))
	rm -rf $(CURDIR)/debian/nano/usr/bin
endif
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nano 2.0.2-1osso7+0m5

=== debian/changelog ===
nano (2.0.2-1osso7+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:37:02 +0300

nano (2.0.2-1osso7) unstable; urgency=low

  * recompiled with new ncurses

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:16:03 +0300

nano (2.0.2-1osso6+r1) unstable; urgency=low

  * Bumped up the version to force recompilation

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 18 Feb 2009 12:41:03 +0200

## nano 2.0.7-4

=== debian/changelog ===
nano (2.0.7-4) unstable; urgency=high

  * The "Valencia, tenemos la fórmula" release.
  * Add patch successful_write_no_free_space.patch to solve an issue
    with nano reporting successful writes on full devices, potentially
    causing files to be zeroed.

 -- Jordi Mallach <jordi@debian.org>  Mon, 25 Aug 2008 17:27:55 +0200

nano (2.0.7-3) unstable; urgency=low

  * The "Benitatxell" release.
  * Add patch open_flags.patch to add mode parametre to open() to solve a
    FTBFS in Ubuntu 8.10, compiled with -D_FORTIFY_SOURCE=2 (LP: 247692).

 -- Jordi Mallach <jordi@debian.org>  Sat, 12 Jul 2008 07:09:02 +0200

nano (2.0.7-2) unstable; urgency=low

  * The "43 morts + 47 ferits = 0 responsables" release.
  * debian/patches/ja_help_freeze.patch: apply patch from Mitsuya Shibata
    to fix an endless loop when displaying help using a Japanese locale.
    (fixes LP #201769).
  * debian/patches/small_window_sigsegv.patch: apply patch from SVN to
    fix a segfault when running nano on a too small terminal terminal.
  * Build-Depend on quilt and adapt debian/rules accordingly.
  * Add a debian/README.source with some quilt notes, as posted by
    Russ Allbery in d-d-a.
  * Bump Standards-Version to 3.8.0.
  * Set section of the doc-base entries to "Editors".

 -- Jordi Mallach <jordi@debian.org>  Thu,  3 Jul 2008 13:03:00 +0200 

nano (2.0.7-1) unstable; urgency=low

  * The "Volem TV3" release.
  * New upstream release.
    - GNU nano is now released under the GPL3+ and GPL3+/GFDL1.2 for docs.
    - fixes bad detection of MAC/DOS file format (closes: #451659)
  * debian/copyright: reflect copyright changes.
  * debian/rules:
    - apply patch from Neil Williams to allow cross building of the
      package (closes: #451188).
    - remove empty /usr dir from nano-udeb.
  * debian/nano.doc-base.manual, debian/nano.doc-base.faq: add doc-base
    registration for the texinfo documentation and the HTML FAQ
    (closes: #451693).
  * debian/prerm: fix pico alternative removal (thanks Luca Capello,
    closes: 435617).
  * debian/menu: Update to new Debian menu structure.
  * debian/control:
    - add Homepage field.
    - update Standards Version to 3.7.3.0.
    - drop build-dep on dpatch, not used for now.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Dec 2007 15:19:01 +0100

nano (2.0.6-2) unstable; urgency=low

  * The "Ja en teniem prou?" release.
  * debian/postinst, debian/prerm: add a new alternative "pico", at priority
    10, to allow alpine-pico to be installed without conflicting with nano.
    Alpine, being Pine's free successor, will have a higher priority, even if
    nano still has many more features (closes: #409504).
  * debian/links:
    - remove pico related links.
    - remove nb -> no locale link, this transition is really old news now.
  * debian/control: conflict with alpine-pico (<= 0.99+dfsg-1).

 -- Jordi Mallach <jordi@debian.org>  Mon, 28 May 2007 22:34:06 +0200

nano (2.0.6-1) unstable; urgency=low

  * The "Ja en tenim prou" release.
    - fixes several bugs related to handling of filenames starting with "~"
      (closes: 419353).
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 May 2007 11:29:24 +0200

nano (2.0.4-1) unstable; urgency=low

  * The "Gente con tantos méritos" release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 18 Apr 2007 18:09:22 +0200

nano (2.0.3-1) unstable; urgency=low

  * The "Pelotazo C. F." release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed,  7 Feb 2007 09:12:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: nano
 Section: editors
 Priority: optional
-Maintainer: maemo integration <integration@maemo.org>
-Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, dpatch
-Standards-Version: 3.7.2.0
+Maintainer: Jordi Mallach <jordi@debian.org>
+Uploaders: Max
+Build-Depends: dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, debhelper (>= 5.0.22), quilt
+Standards-Version: 3.8.0
+Homepage: http://www.nano-editor.org/
 
 Package: nano
 Architecture: any
 Priority: important
-Depends: ${shlibs:Depends}, ncurses-base
+Depends: ${shlibs:Depends}
 Provides: editor
 Suggests: spell
-Conflicts: nano-tiny (<= 1.0.0-1), pico
+Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 0.99+dfsg-1)
 Replaces: pico
 Description: free Pico clone with some new features
  GNU nano is a free replacement for Pico, the default Pine editor. Pine is
@@ -35,3 +36,19 @@
  This package contains a minimal build of GNU nano, aimed for use in
  boot-floppies. Thus, many features are disabled in this version.
 
+Package: nano-udeb
+Architecture: any
+Section: debian-installer
+Priority: standard
+XC-Package-Type: udeb
+Depends: ${shlibs:Depends}
+Provides: editor
+Description: free Pico clone with some new features - tiny build
+ GNU nano is a free replacement for Pico, the default Pine editor. Pine is
+ copyrighted under a restrictive licence, that makes it unsuitable for
+ Debian's main section. GNU nano is an effort to provide a Pico-like
+ editor, but also includes some features that were missing in the original,
+ such as 'search and replace', 'goto line' or internationalization support.
+ .
+ This package contains a minimal build of GNU nano, aimed for use in
+ debian-installer. Thus, many features are disabled in this version.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpatch/dpatch.make
+include /usr/share/quilt/quilt.make
+
+PACKAGE=nano
 
 DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+confflags= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+else
+confflags= --build $(DEB_BUILD_GNU_TYPE)
+endif
 
 CFLAGS  = -Wall -g
 CFTINY  = -Wall -g -Os -fomit-frame-pointer
@@ -28,11 +35,9 @@
 COMMON_CONFIG := --cache-file=$(CURDIR)/config.cache \
 			--prefix=/usr --mandir=\$${prefix}/share/man \
 			--infodir=\$${prefix}/share/info --srcdir='..' \
-			--sysconfdir=/etc \
-			--host $(DEB_BUILD_GNU_TYPE) \
-			--build $(DEB_HOST_GNU_TYPE)
+			--sysconfdir=/etc $(confflags)
 
-build: patch-stamp build-stamp
+build: patch build-stamp
 build-stamp: build-arch
 build-arch: build-nano-stamp build-tiny-stamp build-udeb-stamp
 
@@ -106,7 +111,7 @@
 	cd $(udebbuild) && \
 		$(MAKE) install prefix=$(CURDIR)/debian/nano-udeb/usr \
 		bindir=$(CURDIR)/debian/nano-udeb/bin
-	rm -rf $(CURDIR)/debian/nano-udeb/usr/share
+	rm -rf $(CURDIR)/debian/nano-udeb/usr
 	rm -f $(CURDIR)/debian/nano-udeb/bin/rnano
 
 binary-indep:
@@ -128,14 +133,16 @@
 ifneq (,$(findstring hurd,$(DEB_HOST_ARCH_OS)))
 	rm -rf $(CURDIR)/debian/nano/usr/bin
 endif
+#	dh_desktop -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
+	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build clean binary-indep binary-arch binary install patch unpatch

## nano 2.0.7-4-maemo5-1

=== debian/changelog ===
nano (2.0.7-4-maemo5-1) unstable; urgency=low

  * Minor adoptation for maemo. Mostly for nano-tiny.

 -- Max <xxx@xxx.ccc>  Wed, 16 Dec 2009 19:27:55 -0500

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,9 @@
  Debian's main section. GNU nano is an effort to provide a Pico-like
  editor, but also includes some features that were missing in the original,
  such as 'search and replace', 'goto line' or internationalization support.
+ .
+ Full version with support most of features. If you want smaller version 
+ use nano-tiny and nano-udeb(smallest). Package fully "optified" for maemo
 
 Package: nano-tiny
 Architecture: any
@@ -35,6 +38,8 @@
  .
  This package contains a minimal build of GNU nano, aimed for use in
  boot-floppies. Thus, many features are disabled in this version.
+ Contain minimal Help files.
+ If you want full version use nano or smaller - nano-udeb. Package fully "optified" for maemo.
 
 Package: nano-udeb
 Architecture: any
@@ -51,4 +56,6 @@
  such as 'search and replace', 'goto line' or internationalization support.
  .
  This package contains a minimal build of GNU nano, aimed for use in
- debian-installer. Thus, many features are disabled in this version.
+ boot-floppies. Thus, many features are disabled in this version.
+ Don't contain help files. 
+ If you want full version use nano or medium nano-tiny. Package fully "optified" for maemo.

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 	[ -d $(nanobuild) ] || mkdir $(nanobuild)
 	cd $(nanobuild) && ../configure $(COMMON_CONFIG) --enable-all \
-		--disable-wrapping-as-root && \
+		--enable-color --disable-wrapping-as-root && \
 		$(MAKE) CFLAGS="$(CFLAGS)"
 	touch build-nano-stamp
 
@@ -58,8 +58,8 @@
 	[ -d $(tinybuild) ] || mkdir $(tinybuild)
 	cd $(tinybuild) && ../configure $(COMMON_CONFIG) \
 		--enable-tiny --disable-speller --disable-justify \
-		--disable-tabcomp --disable-nls --disable-wrapping \
-		--with-slang &&  \
+		--disable-nls --disable-wrapping --enable-color \
+		&&  \
 		$(MAKE) CFLAGS="$(CFTINY)"
 	touch build-tiny-stamp
 
@@ -71,7 +71,7 @@
 	cd $(udebbuild) && ../configure $(COMMON_CONFIG) \
 		--enable-tiny --disable-speller --disable-justify \
 		--disable-tabcomp --disable-nls --disable-wrapping \
-		--with-slang &&  \
+		&&  \
 		$(MAKE) CFLAGS="$(CFTINY)"
 	touch build-udeb-stamp

## nano 2.0.7-4-maemo5-2

=== debian/changelog ===
nano (2.0.7-4-maemo5-2) unstable; urgency=low

  * Minor adoptation for maemo. Mostly for nano-tiny.

 -- Max <xxx@xxx.ccc>  Thu, 17 Dec 2009 16:27:55 -0500
 

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Depends: ${shlibs:Depends}
 Provides: editor
 Suggests: spell
-Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 0.99+dfsg-1)
+Conflicts: nano-tiny, pico, alpine-pico (<= 0.99+dfsg-1)
 Replaces: pico
 Description: free Pico clone with some new features
  GNU nano is a free replacement for Pico, the default Pine editor. Pine is
@@ -23,12 +23,14 @@
  such as 'search and replace', 'goto line' or internationalization support.
  .
  Full version with support most of features. If you want smaller version 
- use nano-tiny and nano-udeb(smallest). Package fully "optified" for maemo
+ use nano-tiny. Package fully "optified" for maemo
 
 Package: nano-tiny
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: editor
+Conflicts: nano, pico, alpine-pico (<= 0.99+dfsg-1)
+Replaces: pico
 Description: free Pico clone with some new features - tiny build
  GNU nano is a free replacement for Pico, the default Pine editor. Pine is
  copyrighted under a restrictive licence, that makes it unsuitable for
@@ -39,7 +41,7 @@
  This package contains a minimal build of GNU nano, aimed for use in
  boot-floppies. Thus, many features are disabled in this version.
  Contain minimal Help files.
- If you want full version use nano or smaller - nano-udeb. Package fully "optified" for maemo.
+ If you want full version use nano. Package fully "optified" for maemo.
 
 Package: nano-udeb
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -105,6 +105,7 @@
 		$(MAKE) install prefix=$(CURDIR)/debian/nano-tiny/usr \
 		  bindir=$(CURDIR)/debian/nano-tiny/bin
 	mv debian/nano-tiny/bin/nano debian/nano-tiny/bin/nano-tiny
+	cp debian/nanorc-tiny $(CURDIR)/debian/nano/etc/nanorc
 	rm -rf $(CURDIR)/debian/nano-tiny/usr/share/man
 	rm -f $(CURDIR)/debian/nano-tiny/bin/rnano

## nano 2.2.2

=== debian/changelog ===
nano (2.2.2-1) unstable; urgency=low

  * The "Cabanyal" release.
  * New upstream release.
  * Switch to dpkg source 3.0 (quilt). Remove quilt patching support and
    README.source from the packaging, and drop quilt from Build-Depends.

 -- Jordi Mallach <jordi@debian.org>  Wed, 20 Jan 2010 00:18:38 +0100

nano (2.2.1-1) unstable; urgency=low

  * The "Don Carlos" release.
  * New upstream release.
  * Remove obsolete patch 01_manpage_hyphens, fixed upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Dec 2009 19:34:49 +0100

nano (2.2.0-1) unstable; urgency=low

  * The "Televisió Sense Fronteres" release.
  * New upstream stable release!
  * Remove patch 10_tinybuildfix, applied upstream.
  * Update 01_manpage_hyphens, as it's been applied only partially upstream.
  * Remove French manpages from nano, until they are back in sync with the
    original versions (§12.1, Policy 3.8.3).

 -- Jordi Mallach <jordi@debian.org>  Tue, 01 Dec 2009 20:59:14 +0100

nano (2.1.99pre2-1) unstable; urgency=low

  * The "Molt Poc Honorable" release.
  * New upstream prerelease.
    - fixes a cascade of "Closecode = -1" messages when opening multiple
      buffers (closes: #551716).
    - fixes handling of undo and casesensitive options in rcfiles
      (closes: #558223)
  * Apply patch #6993 from Savannah to fix builds of nano-tiny (thanks, DLR).

 -- Jordi Mallach <jordi@debian.org>  Fri, 27 Nov 2009 23:26:24 +0100

nano (2.1.99pre1-1) unstable; urgency=low

  * New upstream prerelease.
  * The "Ferraris" release.
  * Remove empty /usr/share/nano from nano-tiny.
  * Drop 10_browser_floating_point_exception.patch, obsolete.

 -- Jordi Mallach <jordi@debian.org>  Mon, 16 Nov 2009 14:05:28 +0100

nano (2.1.11-3) unstable; urgency=low

  * The "Caja Madrid" release.
  * Throw away html manpages, on both nano and nano-tiny. Fixes a
    file conflict between both (closes: #553380).
  * Fix, again, the install path for the nanorc example.
  * Use upstream's fix for the browser floating point exception.

 -- Jordi Mallach <jordi@debian.org>  Fri, 30 Oct 2009 19:35:28 +0100

nano (2.1.11-2) unstable; urgency=low

  * The "Ric Costa" release.
  * Upload 2.1 to unstable, as upstream says a stable 2.2 release will
    happen soon.
  * Make nano depend on dpkg (>= 1.15.4) | install-info for the install-info
    transition.
  * Add dependencies on ${misc:Depends} for all packages.
  * Bump Standards-Version to 3.8.3.
  * Add 10_browser_floating_point_exception.patch to the series patch so it
    really gets applied. Thanks again to Paul Wise (closes: #496008).
  * Update 01_manpage_hyphens.patch to fix newly introduced unescaped
    minus signs.
  * Add descriptions to all patches according to DEP-3.
  * Remove --enable-all from configure call, as it does nothing.

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Oct 2009 19:20:22 +0100

nano (2.1.11-1) experimental; urgency=low

  * The "Socialistes Valencians" release.
  * New upstream development release.
  * Resynchronise nanorc with sample.nanorc, which now includes the
    undo and soft options.

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Sep 2009 21:04:31 +0200

nano (2.1.10-1) experimental; urgency=low

  * The "Una pastuqui importante" release.
  * New upstream development release (closes: #522295).
    - includes PHP syntax highlighting (closes: #477186).
    - includes experimental undo support, but it's known to be unstable.
  * Rewrite all descriptions, as suggested by Justin B. Rye, emphasyzing
    nano's features instead of Pico's non-freeness (closes: #508903).
  * Fix corrupted UTF-8 in several ancient changelog entries.
  * Fix install directory for example nanorc.
  * Resynchronize nanorc with sample.nanorc for the new options in nano 2.2.
  * Enable syntax highlighting by default. Please tell me if nano gets
    slower on your setup in order to reconsider this change (closes: #514909).
  * Add 10_browser_floating_point_exception.patch to fix a division by zero;
    report and suggested fix by Paul Wise (closes: #496008).
  * Fix some fixes in 01_manpage_hyphens.patch.
  * Bump Standards-Version to 3.8.2, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 14 Aug 2009 09:54:24 +0200

nano (2.0.9-2) unstable; urgency=low

  * The "Yo me pago mis trajes" release.
  * Upload to unstable.
  * Bump Standards-Version to 3.8.1 (no changes required).
  * Point to versioned licences in the copyright file.
  * Update to debhelper v7 (from v4!), update Build-Depends accordingly.
  * Use dh_prep instead of dh_clean -k.
  * Add patch 01_manpage_hyphens.patch to correct a few unescaped
    hyphens, as pointed out by lintian.
  * As we're modifying the manpages, we need to temporarily build-dep
    on groff.
  * Enable nowrap in the default configuration. Although we use the
    --disable-wrapping-as-root compile option, it isn't enough for many
    reasons, as described by Anders Kaseorg in #513443. Users wishing to
    revert this can edit the global config, or use "unset nowrap" in
    their personal nanorc. Closes: #253298, #513443, and Ubuntu bugs
    #39866 and #261495.

 -- Jordi Mallach <jordi@debian.org>  Fri, 27 Mar 2009 11:04:20 +0100

nano (2.0.9-1) experimental; urgency=low

  * The "Professor-traductor" release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 Sep 2008 04:07:22 +0200

nano (2.0.8-1) experimental; urgency=low

  * The "Il quarto ponte sul Canal Grande" release.
  * New upstream release.
  * Remove patches, all have been accepted upstream.
  * Move nano to SVN in collab-maint, and add the corresponding Vcs-*
    headers.
  * Improve short descriptions by actually mentioning nano is an editor.
    Thanks to Filipus Klutiero for the suggestion (closes: #495289).
  * Add nanorc.sample as an example, even if the system-wide nanorc is a
    modified copy of it (closes: #490202).
  * Don't distribute po/ChangeLog. The source package is enough for that.


=== debian/control ===
Source: nano
Section: editors
Priority: optional
Maintainer: Jordi Mallach <jordi@debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>
Build-Depends: dpkg-dev (>= 1.13.9), debhelper (>= 7), groff, libncurses5-dev, libncursesw5-dev, libslang2-dev
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nano
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/nano/
Homepage: http://www.nano-editor.org/

Package: nano
Architecture: any
Priority: important
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Provides: editor
Suggests: spell
Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 0.99+dfsg-1)
Replaces: pico
Description: small, friendly text editor inspired by Pico
 GNU nano is an easy-to-use text editor originally designed as a replacement
 for Pico, the ncurses-based editor from the non-free mailer package Pine
 (itself now available under the Apache License as Alpine).
 .
 However, nano also implements many features missing in pico, including:
  - feature toggles;
  - interactive search and replace (with regular expression support);
  - go to line (and column) command;
  - auto-indentation and color syntax-highlighting;
  - filename tab-completion and support for multiple buffers;
  - full internationalization support.

Package: nano-tiny
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: editor
Description: small, friendly text editor inspired by Pico - tiny build
 GNU nano is an easy-to-use text editor originally designed as a replacement
 for Pico, the ncurses-based editor from the non-free mailer package Pine
 (itself now available under the Apache License as Alpine).
 .
 This package contains a build of GNU nano with many features disabled, for
 environments such as rescue disks where resources are limited.

Package: nano-udeb
Architecture: any
Section: debian-installer
Priority: standard
XC-Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: editor
Description: small, friendly text editor inspired by Pico - udeb
 GNU nano is an easy-to-use text editor originally designed as a replacement
 for Pico, the ncurses-based editor from the non-free mailer package Pine
 (itself now available under the Apache License as Alpine).
 .
 This package contains a build of GNU nano with many features disabled, for
 use in debian-installer.

## nano 2.2.4

=== debian/changelog ===
nano (2.2.4-1) unstable; urgency=low

  * The "905€" release.
  * New upstream release.
    - fixes minor security issues: symlink attack (CVE-2010-1160)
      and ownership of arbitrary files (CVE-2010-1161). Closes: #577817.

 -- Jordi Mallach <jordi@debian.org>  Thu, 15 Apr 2010 19:26:23 +0200

nano (2.2.3-1) unstable; urgency=low

  * The "Polop" release.
  * New upstream release.
  * Drop Build-Depends on groff; it was only needed to rebuild the
    modified manpages.
  * Nearly three years late, alpine-pico is finally playing the
    update-alternatives game and can now coexist with nano. Update
    our conflict accordingly. Thanks, Asheesh!

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Feb 2010 02:49:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.9), debhelper (>= 7), groff, libncurses5-dev, libncursesw5-dev, libslang2-dev
+Build-Depends: dpkg-dev (>= 1.13.9), debhelper (>= 7), libncurses5-dev, libncursesw5-dev, libslang2-dev
 Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nano
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/nano/
@@ -15,7 +15,7 @@
 Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Provides: editor
 Suggests: spell
-Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 0.99+dfsg-1)
+Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 2.00+dfsg-5)
 Replaces: pico
 Description: small, friendly text editor inspired by Pico
  GNU nano is an easy-to-use text editor originally designed as a replacement

=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/nano/nano-(.*)\.tar\.gz \
        debian uupdate

## nano 2.2.6

=== debian/changelog ===
nano (2.2.6-3) unstable; urgency=medium

  * The "Gürtel" release.
  * Acknowledge 2.2.6-1.1 NMU (-2 was tagged, never uploaded... mysteries).
  * Get rid of massively obsolete preinst upgrade code from 2004.
  * Remove nano.desktop.
  * Remove nano.README.Debian, the information included was now obsolete
    or pointless.
  * Canonicalise Vcs URLs.
  * Use dpkg's buildflags.mk to enable hardening. Bump dpkg-dev Build-Dep
    to >= 1.16.1~ accordingly (closes: #656133).
  * Bump Standards-Version to 3.9.5.
  * Add debian/upstream/signing-key.asc with Chris Allegreta's OpenPGP key.
  * Move watch file to version 3, use http URL, add pgpsigurlmangle to
    enable verification of tarball signatures and stop calling uupdate.
  * Add manpage_escaping.patch to fix some escaping issues in nano.1 and
    rnano.1. Thanks to Bjarni Ingi Gislason (closes: #662842, #726956).
  * Add apt_transports.patch to add all currently supported apt methods to
    the debian sources.list regexp.
  * Shuffle build-* target deps and add an explicit build-indep target to
    appease Lintian.

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Jul 2014 18:47:53 +0200

nano (2.2.6-2) unstable; urgency=low

  * The "… a Picassent!" release.
  * Add patches from Rodolphe Pelloux-Prayer to fix highlighting of
    sources.list entries with tabs, and to support files in
    /etc/apt/sources.list/*.list. Thanks! Closes: #614817.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Jul 2011 21:25:40 +0200

nano (2.2.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ensure config.{sub,guess} are uptodate

 -- Wookey <wookey@debian.org>  Mon, 16 Dec 2013 22:26:27 +0000

nano (2.2.6-1) unstable; urgency=low

  * The "Què vol que li diga? Que vosté és una sinvergüensa?" release.
  * New upstream release.
  * Apply auto.patch from Tiago Silva (and DEP-3ified by Colin Watson)
    to support C/C++ 'auto' storage class specifier (closes: #605403).

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Aug 2010 19:35:50 +0200

nano (2.2.5-1) unstable; urgency=low

  * The "Teulada" release.
  * New upstream release.
    - better behaviour when creating backup files on certain conditions.
    - allow, via new command line option, to revert to old backup behaviour.
  * Bump Standards-Version to 3.9.1 (no changes).
  * Break, not Conflict, alpine-pico. Drop obsolete Conflicts from 2003.
  * Rename nano-udeb's XC-Package-Type control field to Package-Type.
    Bump dpkg-dev to 1.15.7.

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Aug 2010 18:05:29 +0200

nano (2.0.7-5) stable; urgency=low

  * The "No me preocupa nada, como Juan sin miedo, porque nada temo"
    release.
  * Backport two minor security fixes from upcoming 2.0.10 and 2.2.4:
    - CVE-2010-1160: symlink attack.
    - CVE-2010-1161: change of ownership of arbitrary files.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Apr 2010 13:41:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,25 @@
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.9), debhelper (>= 7), libncurses5-dev, libncursesw5-dev, libslang2-dev
-Standards-Version: 3.8.3
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nano
-Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/nano/
+Build-Depends: debhelper (>= 7),
+               dpkg-dev (>= 1.16.1~),
+               autotools-dev,
+               libncurses5-dev,
+               libncursesw5-dev,
+               libslang2-dev
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/nano
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/nano/
 Homepage: http://www.nano-editor.org/
 
 Package: nano
 Architecture: any
 Priority: important
-Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Suggests: spell
-Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 2.00+dfsg-5)
+Conflicts: pico
+Breaks: alpine-pico (<= 2.00+dfsg-5)
 Replaces: pico
 Description: small, friendly text editor inspired by Pico
  GNU nano is an easy-to-use text editor originally designed as a replacement
@@ -32,7 +38,7 @@
 
 Package: nano-tiny
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Description: small, friendly text editor inspired by Pico - tiny build
  GNU nano is an easy-to-use text editor originally designed as a replacement
@@ -46,8 +52,8 @@
 Architecture: any
 Section: debian-installer
 Priority: standard
-XC-Package-Type: udeb
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Package-Type: udeb
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Description: small, friendly text editor inspired by Pico - udeb
  GNU nano is an easy-to-use text editor originally designed as a replacement

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
http://ftp.gnu.org/gnu/nano/ nano-(.*)\.tar\.gz
